#!/bin/sh

show_help(){
  echo "
  using install.sh: 
  install.sh [arguments]:

  select [arguments] from:
  kc1 - install kc1 packages (by default)
  kc2 - install kc2 packages
"
}

enclosure=kc1
case $1 in
""|kc1)
  enclosure=kc1
;;
kc2)
  enclosure=kc2
;;
"-help")
  show_help
  exit 0
;;
"--help")
  show_help
  exit 0
;;
*)
  echo "usage: install.sh [kc1|kc2]"
  exit 1
;;
esac

cd `dirname $0`
/bin/sh ./uninstall.sh || exit $?

case `uname -m` in
nothing)
  arch=ppc
  ;;
*)
  ARG=64
  arch=ppc64
  ;;
esac

echo "Installing cprocsp-base-4.0.*-aix.5.3.noarch.rpm..."
# test -e will check if there is exactly one file
test -e cprocsp-base-4.0.*-aix.5.3.noarch.rpm && \
    rpm -i cprocsp-base-4.0.*-aix.5.3.noarch.rpm || exit $?

test -z `rpm -qa | grep libiconv` && echo "CryptoPro CSP requires libiconv.so. \
You need to install libiconv pakage from network or it might be in extras on CSP CD. \
After installing copy /opt/freeware/lib/libiconv.a to /usr/lib/libiconv.a" && exit 1

list="cprocsp-rdr cprocsp-$enclosure cprocsp-capilite cprocsp-curl"
for i in $list; do
  if test x$ARG = x64 && [ -e cprocsp-rdr-64-4.0.*-aix.5.3.$arch.rpm ]; then
    i="${i}-64"
  fi
  echo "Installing $i..."
  test -e $i-4.0.*-aix.5.3.$arch.rpm && \
      rpm -i $i-4.0.*-aix.5.3.$arch.rpm || exit $?
done
