#!/bin/sh

check_fail() {
    echo "Error: failed to uninstall CSP packages"
    exit "$1"
}

pkglist="$(rpm -qa | grep -e cprocsp)"
del_command="rpm -e --allmatches"
rdr_package="$(echo "${pkglist}" | grep 'cprocsp-rdr.[0-9]')"
base_package="$(echo "${pkglist}" | grep base)"
csp_packages="$(
    echo "${pkglist}" \
        | grep -vx -e "${rdr_package}" -e "${base_package}" \
        | xargs
)"
echo "Uninstalling CSP packages..."
if [ -n "${csp_packages}" ] ; then
    ${del_command} ${csp_packages} || check_fail "$?"
fi
if [ -n "${rdr_package}" ] ; then
    ${del_command} ${rdr_package} || check_fail "$?"
fi
if [ -n "${base_package}" ] ; then
    ${del_command} ${base_package} || check_fail "$?"
fi
echo "CSP packages have been successfully uninstalled"
